Skip to main content
GET
/
providers
/
{id}
/
resources
/
{resourceID}
Get Provider Resource
curl --request GET \
  --url https://api.example.com/providers/{id}/resources/{resourceID} \
  --header 'Authorization: Bearer <token>'
{
  "resource": {
    "id": "kSuB9Gf6aD4",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "uri": "<string>",
    "mimeType": "text/plain",
    "size": 123,
    "annotations": {}
  }
}

Authorizations

Authorization
string
header
required

Enter 'Bearer' followed by a space and your token (e.g., 'Bearer ${HASMCP_ACCESS_TOKEN}').

Path Parameters

id
string
required

Provider ID

resourceID
string
required

Resource ID

Response

200 - application/json

Provider Resource details

resource
object